<?php
class Netzkollektiv_Lexoffice_Block_Adminhtml_Creditmemo_Grid extends Mage_Adminhtml_Block_Sales_Creditmemo_Grid {

    protected function _prepareMassaction()
    {
        $this->getMassactionBlock()->addItem('download_lexoffice_package', array(
             'label'=> Mage::helper('sales')->__('Send to lexoffice'),
             'url'  => $this->getUrl('*/lexoffice_creditmemo/syncMass'),
        ));

        return parent::_prepareMassaction();
    }

    protected function _prepareColumns()
    {
        parent::_prepareColumns();
        $this->removeColumn('state')
            ->removeColumn('action');

        $this->addColumn('lexoffice_sent', array(
            'header'    => Mage::helper('sales')->__('Status'),
            'index'     => 'lexoffice_sent',
            'renderer'     => 'lexoffice/adminhtml_grid_renderer_status'
        ));        
    }
}
