<?php
class Netzkollektiv_Lexoffice_Helper_Data extends Mage_Core_Helper_Abstract {
    public function getApi() {
        $baseUrl = Mage::getBaseUrl();
        $token = $this->getToken();

        $api = new \Lexoffice\Api($baseUrl, $token);
        return $api;
    }

    public function saveToken($token) {
        Mage::getConfig()
            ->saveConfig('lexoffice/token/serialized', serialize($token))
            ->saveConfig('lexoffice/subscription/subscription_id', $token->subscription_id)
            ->cleanCache();
    }

    public function getToken() {
        $token = Mage::getStoreConfig('lexoffice/token/serialized');
        $token = unserialize($token);
        $token->subscription_id = Mage::getStoreConfig('lexoffice/subscription/subscription_id');
        return $token;        
    }
}
